> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# データセット取得

> データセットオブジェクトを取得します。



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json get /v2/{entity}/{project}/datasets/{object_id}/versions/{digest}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v2/{entity}/{project}/datasets/{object_id}/versions/{digest}:
    get:
      tags:
        - Datasets
      summary: データセット取得
      description: データセットオブジェクトを取得します。
      operationId: >-
        dataset_read_v2__entity___project__datasets__object_id__versions__digest__get
      parameters:
        - in: path
          name: entity
          required: true
          schema:
            title: Entity
            type: string
        - in: path
          name: project
          required: true
          schema:
            title: Project
            type: string
        - in: path
          name: object_id
          required: true
          schema:
            title: Object Id
            type: string
        - in: path
          name: digest
          required: true
          schema:
            title: Digest
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetReadRes'
          description: 正常な応答
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    DatasetReadRes:
      properties:
        created_at:
          description: オブジェクトの作成日時
          format: date-time
          title: Created At
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: データセットの説明
          title: Description
        digest:
          description: データセットオブジェクトのダイジェスト
          title: Digest
          type: string
        name:
          description: データセットの名前
          title: Name
          type: string
        object_id:
          description: データセット ID
          title: Object Id
          type: string
        rows:
          description: データセットの行データへの参照
          title: Rows
          type: string
        version_index:
          description: オブジェクトのバージョンインデックス
          title: Version Index
          type: integer
      required:
        - object_id
        - digest
        - version_index
        - created_at
        - name
        - rows
      title: DatasetReadRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````